import React, { Component } from 'react';
import PropTypes from 'prop-types';

/**
 *
 *
 * @class SectionOperateArea
 * @extends {Component}
 */
class SectionOperateArea extends Component {
  constructor(props) {
    super(props);
    this.state = {};
  }
  componentWillMount() {}

  componentDidMount() {}

  componentWillReceiveProps(nextProps) {}

  componentWillUnmount() {}

  try = () => {};

  buy = () => {};

  free = () => {};

  render() {
    return (
      <div className="section-cell-operate-root">
        <div className="section-cell-operate-buy" onClick={this.buy()}>
          购买
        </div>
        <div className="section-cell-operate-trial" onClick={this.try()}>
          免费试用
        </div>
      </div>
    );
  }
}

SectionOperateArea.propTypes = {};

export default SectionOperateArea;
